%define _disable_ld_no_undefined 1

Summary:	A shell with lots of features
Name:		zsh
Version:	5.3.1
Release:	1
Epoch:		1
License:	BSD-like
Group:		Shells
Url:		http://www.zsh.org
Source0:	http://www.zsh.org/pub/%{name}-%{version}.tar.xz
Source1:	http://www.zsh.org/pub/%{name}-%{version}-doc.tar.xz
Source2:	zcfg-rosa.tar.bz2
Source3:	http://zsh.sourceforge.net/Guide/zshguide.tar.gz
Source4:	zsh.urpmi_comp
BuildRequires:	groff
BuildRequires:	texinfo
BuildRequires:	texlive
BuildRequires:	yodl
BuildRequires:	gdbm-devel
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(ncurses)
Requires(post,postun):	rpm-helper
Provides:	/bin/zsh
Provides:	/usr/bin/zsh

%description
Zsh is a UNIX command interpreter (shell) usable as an
interactive login shell and as a shell script command
processor. Of the standard shells, zsh most closely resembles
ksh but includes many enhancements. Zsh has command-line editing,
built-in spelling correction, programmable command completion,
shell functions (with autoloading), a history mechanism, and a
lots of other features

Install the zsh package if you'd like to try out a different shell.

%files
%doc README LICENCE Etc/BUGS Etc/CONTRIBUTORS Etc/FAQ FEATURES MACHINES
%doc NEWS Etc/zsh-development-guide Etc/completion-style-guide
%doc %{_datadir}/%{name}/%{version}/help
%config(noreplace) %{_sysconfdir}/z*
/bin/%{name}
%{_mandir}/man1/*.1*
%{_infodir}/*.info*
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/%{version}/
%{_datadir}/zsh/%{version}/functions
%{_datadir}/zsh/%{version}/scripts
%{_datadir}/zsh/%{version}/zshrc_default
%dir %{_libdir}/zsh
%{_libdir}/zsh/%{version}/
%{_datadir}/zsh/site-functions/

%post
%_post_shelladd /bin/zsh

%preun
%_preun_shelldel /bin/zsh

#----------------------------------------------------------------------------

%package doc
Summary:	The doc package of zsh
Group:		Books/Computer books

%description doc
Zsh is a UNIX command interpreter (shell) usable as an
interactive login shell and as a shell script command
processor. Of the standard shells, zsh most closely resembles
ksh but includes many enhancements. Zsh has command-line editing,
built-in spelling correction, programmable command completion,
shell functions (with autoloading), a history mechanism, and a
lots of other features

This package include doc guid examples and manual for zsh.

%files doc
%doc Doc/*.html

#----------------------------------------------------------------------------

%prep
%setup -q -a 2 -a 1
%apply_patches

mv %{name}-%{version}/Doc/* Doc/
install -m 0644 %{SOURCE4}  Completion/Mandriva/Command/_urpmi

# remove temporary files
find | grep '~$' | xargs rm -f
perl -pi -e 's|/usr/local/bin/|%{_bindir}/|' Functions/Misc/{run-help,checkmail,zcalc}

%build
# check for tcsetpgrp fails with "configure: error: no controlling tty" when
# building by bot; force tcsetpgrp
%configure2_5x \
	--enable-etcdir=%{_sysconfdir} \
	--enable-function-subdirs \
%ifarch sparc
	--disable-lfs \
%endif
	--enable-pcre \
	--with-tcsetpgrp
make all

%install
%makeinstall_std
make install.info DESTDIR=%{buildroot}

# copy Mandriva Configuration files
mkdir -p %{buildroot}/{bin,etc}
cp -a zcfg/etc/z* %{buildroot}%{_sysconfdir}
cp -a zcfg/share/zshrc_default %{buildroot}%{_datadir}/zsh/%{version}/zshrc_default

# this prevents RPM helper from adding dependency on /usr/bin/zsh
find %{buildroot}%{_datadir}/zsh/%{version} -type f -exec chmod 0644 '{}' \;

# Backward compatibilie should be removed in the others times.
pushd %{buildroot}/bin && {
    mv ..%{_bindir}/zsh ./zsh
} && popd

# zshall.1 includes all other man pages which does not work with compressed
# files. Generate full contents here
pushd %{buildroot}%{_mandir} && {
	/usr/bin/soelim man1/zshall.1 > zshall-full
	mv zshall-full man1/zshall.1
	popd
}

rm -f %{buildroot}%{_bindir}/zsh-%{version}

# Copy documentation
rm -rf docroot
mkdir -p docroot/{Info_html,Examples,Documentation}/

cp -a README docroot/
cp -a Functions/Misc/* Misc/* Util/* docroot/Examples/
cp -a ChangeLog* docroot/Documentation
cp -a StartupFiles docroot/
cp -a Etc/* docroot/Documentation
cp -a Doc/*html docroot/Info_html/

mkdir -p docroot/Zsh_Guide
tar xzf %{SOURCE3} -C docroot/Zsh_Guide
( cd docroot/Zsh_Guide/zshguide/ ; make )  
mv docroot/Zsh_Guide/zshguide/*html docroot/Zsh_Guide/
rm -Rf docroot/Zsh_Guide/zshguide/

# Doc
rm -f docroot/{StartupFiles/.distfiles,Examples/{Makefile*,*.yo},Documentation/{Makefile*,*.yo}}
find docroot/ -name 'Makefile*' -o -name '.yo'|xargs rm -f
find docroot/ -type f|xargs perl -pi -e 's@^#!%{_prefix}/local/bin/(perl|zsh)@#!%{_bindir}/\1@'
mv docroot/Examples/compctl-examples docroot/StartupFiles

%changelog

* Tue Jan 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:5.3.1-1
- (29b557c) Merge branch 'rosa2016.1' into rosa2014.1


